Bug 1426193 - Review Request: ara - Ansible Run Analysis, Record and visualize Ansible Playbook runs
Summary: Review Request: ara - Ansible Run Analysis, Record and visualize Ansible Play...
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael S.
QA Contact: hguemar
URL:
Whiteboard:
Keywords:
Depends On: 1444666 1444682 1447089 1447120
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 12:08 UTC by Lukas Bezdicka
Modified: 2017-11-21 15:12 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed:
misc: fedora-review+


Attachments (Terms of Use)

Description Lukas Bezdicka 2017-02-23 12:08:06 UTC
Core component tripleo-quickstart which should be used by default instead of instack-virstsetup to setup development environment is unpackages. Ara is one of it's unpackaged dependencies.

https://github.com/dmsimard/ara

Comment 1 Alan Pevec 2017-02-23 19:12:16 UTC
It has been moved to https://github.com/openstack/ara but it is "Stackforge" not an OpenStack project, so it would be in RDO deps repo, not RDO Trunk.

Comment 2 Alan Pevec 2017-02-23 19:16:30 UTC
$ licensecheck ara 
ara/.coveragerc: *No copyright* UNKNOWN
ara/.gitreview: *No copyright* UNKNOWN
ara/LICENSE: *No copyright* Apache (v2.0)
ara/README.rst: Apache (v2.0) GENERATED FILE
ara/bindep.txt: *No copyright* UNKNOWN
ara/requirements.txt: *No copyright* UNKNOWN
ara/run_tests.sh: Apache (v2.0)
ara/setup.cfg: *No copyright* Apache
ara/setup.py: Apache (v2.0)
ara/test-requirements.txt: *No copyright* UNKNOWN
ara/tox.ini: *No copyright* UNKNOWN
[apevec@gig4 openstack]$

Comment 3 Alan Pevec 2017-02-23 19:19:36 UTC
Actually, this should be moved to Fedora/PackageReview

Comment 4 David Moreau Simard 2017-02-23 19:44:52 UTC
Hi, ARA author here :)

I had already started some initial work to package ARA, last attempt here [1]. I don't remember if it works or makes sense, that's just where I left off.

I had done some necessary work to get rid of unpackaged dependencies (ex: [2][3]) but there's still some work to do before ARA can be packaged properly.

What's probably the next big item is to switch ARA to use xstatic packages for javascript/css libraries as ARA currently embeds them (bad, I know).
It's quite likely that some of the static dependencies will need to be packaged first but the good news is that ARA doesn't need anything arcane -- it uses the same css/js framework as tripleo-ui.

[1]: https://gist.github.com/dmsimard/8938d525f7bd2cd4a749f9b72bb5009e
[2]: https://review.openstack.org/#/c/409852/
[3]: https://review.openstack.org/#/c/409458/

Comment 5 Haïkel Guémar 2017-03-01 00:06:18 UTC
Why it's not submitted to Fedora? It's general-purpose tooling.

Comment 6 Fabian Arrotin 2017-03-17 10:45:13 UTC
+1 with Haïkel's comment : as it can be used outside of RDO, I'd personally like to see it available through Fedora and so Epel too

Comment 7 M. Scherer 2017-03-17 13:21:45 UTC
Same for me, I would like to use it on our infras.

Comment 8 David Moreau Simard 2017-03-17 13:34:28 UTC
Moved to fedora/package-review. I'll try and see if I can get a spec going sometime soon.

Comment 9 David Moreau Simard 2017-03-17 14:15:20 UTC
(Renaming bug temporarily, there is nothing to review here yet)

Comment 10 David Moreau Simard 2017-04-22 20:57:44 UTC
Just an update, I've started unbundling in-tree libraries in favor of xstatic packages -- you can follow the work here:
https://review.openstack.org/#/q/project:openstack/ara+topic:unbundle-libs

For now:
- Implementation of framework and jquery unbundling: https://review.openstack.org/#/c/459071/
- bootstrap unbundling: https://review.openstack.org/#/c/459073/

I've also started working on packaging Patternfly in XStatic on pypi as it is not currently packaged. Once that is done, I'll work on a fedora package for XStatic-Patternfly.

Comment 11 David Moreau Simard 2017-04-22 21:44:33 UTC
Patternfly Xstatic is now on PyPi: https://pypi.python.org/pypi/XStatic-Patternfly/

And the unbundling review in ara for patternfly is here:
https://review.openstack.org/#/c/459074/

Comment 12 David Moreau Simard 2017-04-23 01:22:37 UTC
The last lib that needs to be unbundled is jquery.datatables.

I've reached out to maintainers because xstatic-datatables hasn't been updated in four years on PyPi.
I'm now a maintainer and update is pending here: https://github.com/python-xstatic/datatables/pull/1

Comment 13 David Moreau Simard 2017-04-23 23:40:54 UTC
python-xstatic-patternfly ready for review: https://bugzilla.redhat.com/show_bug.cgi?id=1444666

Comment 14 David Moreau Simard 2017-04-24 00:49:10 UTC
python-xstatic-datatables ready for review: https://bugzilla.redhat.com/show_bug.cgi?id=1444682

Comment 15 Fabian Arrotin 2017-04-24 04:50:18 UTC
@David : thanks a lot for the detailed report about where you are right now. thanks a lot for your work : really appreciated ! :-)

Comment 16 David Moreau Simard 2017-04-29 16:24:17 UTC
Quick update, I have a working spec [1] and got a working scratch build [2], just need to do some more tweaking, release ARA 0.13.0 (first version with unbundled deps) and I'll submit a formal review here.

[1]: https://github.com/dmsimard/ara-distgit/blob/master/ara.spec
[2]: https://koji.fedoraproject.org/koji/taskinfo?taskID=19299910

Comment 17 David Moreau Simard 2017-05-01 12:39:30 UTC
Got a working spec with what I wanted in it.

However, a last minute (important) addition to the next release of ARA requires two new fedora packages, one of which will also need to be packaged on PyPi first.

Comment 18 David Moreau Simard 2017-05-01 17:06:54 UTC
Package review for python-xstatic-patternfly-bootstrap-treeview: https://bugzilla.redhat.com/show_bug.cgi?id=1447089

Comment 19 David Moreau Simard 2017-05-01 20:16:12 UTC
Package review for python-pyfakefs: https://bugzilla.redhat.com/show_bug.cgi?id=1447120

Comment 20 David Moreau Simard 2017-05-09 01:34:22 UTC
Spec URL: https://raw.githubusercontent.com/dmsimard/ara-distgit/master/ara.spec
SRPM URL: https://github.com/dmsimard/ara-distgit/raw/master/ara-0.13.0-1.fc25.src.rpm
Description: Review Request: ara - Ansible Run Analysis, Record and visualize Ansible Playbook runs

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=19465617

Notes:
This is the first formal spec review for ARA after packaging everything that was missing.
Summary of considerations inside the spec:
- We create an "ara" user and an "ara" group
- We create /etc/ara and ship a default configuration
- We create /var/lib/ara (which is referenced in the default configuration)
- We create /var/log/ara (which is referenced in the default configuration)
- We ship a systemd unit file for running the embedded server in a persistent way for convenience. The systemd unit requires /etc/ara/ara.cfg and works with the default configuration out of the box and listens on 127.0.0.1:9191.
- There are separate packages for ara itself, the docs and the tests
- Only the py2 unit tests run in %check since ARA is not fully python 3 ready yet

Let me know if you have any questions !

Comment 21 Dusty Mabe 2017-05-09 02:42:29 UTC
Tried to do a copr build for this was never really able to get it to succeed. Not sure what the problem is, but didn't really dig into it either.

https://copr.fedorainfracloud.org/coprs/dustymabe/ara/builds/

Comment 22 David Moreau Simard 2017-05-09 02:52:22 UTC
@Dustin, I've only tried a build against rawhide (scratch build) since all the new packages have not yet landed in the different releases.

You can look at the bugs linked to this one for details. I'll try and look if there's anything else that could be causing problems on other versions when I have a chance.

Comment 23 Dusty Mabe 2017-05-09 02:57:28 UTC
makes sense, I can see they are not all in f25 branch. Thanks

Comment 24 Dusty Mabe 2017-05-09 02:58:02 UTC
can we get those 'deps' submitted as updates for the other branches?

Comment 25 David Moreau Simard 2017-05-09 11:52:09 UTC
They all have been, so far as as I am aware, unless I missed something.

Some are still pending on Bohdi: https://bodhi.fedoraproject.org/users/dmsimard

Comment 26 David Moreau Simard 2017-05-09 14:17:09 UTC
Spec URL: https://raw.githubusercontent.com/dmsimard/ara-distgit/master/ara.spec
SRPM URL: https://github.com/dmsimard/ara-distgit/raw/master/ara-0.13.0-1.fc25.src.rpm
Description: ara - Ansible Run Analysis, Record and visualize Ansible Playbook runs

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=19465617

Notes: A recent bug report indicated that we needed to require a minimum Jinja2 version https://review.openstack.org/#/c/463572/

Comment 27 James Hogarth 2017-05-16 11:45:04 UTC
So for those interested in seeing this in EPEL7 a quick run through of the requires in the spec shows:

# new things to arrive in epel7
python2-debtcollector
python2-pyfakefs
python2-pigments
python2-XStatic-DataTables
python2-XStatic-Patternfly
python2-XStatic-Patternfly-Treeview
python2-frozen-flask

# conditional requires due to naming differences
python2-flask
python2-decorator
python2-lxml
python2-pytest
python2-sqlalchemy
python2-XStatic
python2-XStatic-Bootstrap-SCSS
python2-XStatic-jQuery

# version question due to older RHEL7 base version
python-jinja2

In addition, though it's not highlighted as a version issue here, dmsimard pointed out ot me on reddit that python2-pyfakefs needs a newer version of pytest than ships in RHEL7 base.

It'd be great to identify exactly what is driving the higher version requirements on pytest and python-jinja2 to see if these can be made compatible with what ships in RHEL7.

Comment 28 David Moreau Simard 2017-05-16 13:06:43 UTC
@James, thanks for looking.

python-jinja is a hard requirement from ARA itself, there are known issues using macros with a version lower than 2.9 [1].

pytest 2.8.6 also appears to be required for pyfakefs, upstream mentioned lower than that there could be issues [2].

I haven't yet got around to chasing EPEL7 missing requirements that I didn't personally package (debtcollector, pigments, frozen-flask).

[1]: https://review.openstack.org/#/c/463572/
[2]: https://github.com/jmcgeheeiv/pyfakefs/issues/179#issuecomment-298407916

Comment 29 David Moreau Simard 2017-05-29 16:58:55 UTC
Just a small update, as much as I'd like to be able to wrap this up, I'm not going to be able to look into this until at least the second half of june.

To recapitulate, everything looks good except for EPEL7 we need the following:
pytest >= 2.8.6 (base OS 2.7.0)
python-jinja2 => 2.9 (base OS 2.7.2)

Since those are provided by the base operating system, I don't believe we can get them updated within EPEL and therefore have to rely on a SIG repository for them. I'll try and see how we can address this at a later time.

Comment 30 Dusty Mabe 2017-05-29 19:36:51 UTC
(In reply to David Moreau Simard from comment #29)
> Just a small update, as much as I'd like to be able to wrap this up, I'm not
> going to be able to look into this until at least the second half of june.
> 
> To recapitulate, everything looks good except for EPEL7 we need the

Is it possible to go ahead and get everything into Fedora and leave epel as a later exercise?

Comment 31 David Moreau Simard 2017-05-29 20:20:33 UTC
@Dusty, unless mistaken everything is in Fedora except ARA itself by now. Need a fedora packager to review the proposed spec: https://bugzilla.redhat.com/show_bug.cgi?id=1426193#c26

Comment 32 Michael S. 2017-06-09 19:25:18 UTC
Ok, so I can review it (and so assigning the bug per process)

Comment 33 Michael S. 2017-06-09 19:29:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


- Avoid bundling fonts in non-fonts packages.
The documentation bundle fonts. However, this is likely normal.

- The %check in # Test dependencies for %check could cause trouble in the future (since rpm would
 expand the macro.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 80 files have unknown
     license. Detailed output of licensecheck in
     /tmp/fr/1426193-ara/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/systemd/system,
     /etc/logrotate.d, /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-ara , python3-ara , ara-common , ara-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ara-0.13.0-1.fc25.noarch.rpm
          ara-python3-0.13.0-1.fc25.noarch.rpm
          python2-ara-0.13.0-1.fc25.noarch.rpm
          python2-ara-tests-0.13.0-1.fc25.noarch.rpm
          python3-ara-0.13.0-1.fc25.noarch.rpm
          python3-ara-tests-0.13.0-1.fc25.noarch.rpm
          ara-common-0.13.0-1.fc25.noarch.rpm
          ara-doc-0.13.0-1.fc25.noarch.rpm
          ara-0.13.0-1.fc25.src.rpm
ara.noarch: W: spelling-error Summary(en_US) Ansible -> Expansible, Sensible
ara.noarch: W: name-repeated-in-summary C ARA
ara.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara.noarch: W: no-manual-page-for-binary ara
ara.noarch: W: no-manual-page-for-binary ara-2
ara.noarch: W: no-manual-page-for-binary ara-2.7
ara.noarch: W: no-manual-page-for-binary ara-manage
ara.noarch: W: no-manual-page-for-binary ara-manage-2
ara.noarch: W: no-manual-page-for-binary ara-manage-2.7
ara.noarch: W: no-manual-page-for-binary ara-wsgi
ara.noarch: W: no-manual-page-for-binary ara-wsgi-2
ara.noarch: W: no-manual-page-for-binary ara-wsgi-2.7
ara-python3.noarch: W: spelling-error Summary(en_US) Ansible -> Expansible, Sensible
ara-python3.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara-python3.noarch: W: no-manual-page-for-binary ara-3
ara-python3.noarch: W: no-manual-page-for-binary ara-3.6
ara-python3.noarch: W: no-manual-page-for-binary ara-manage-3
ara-python3.noarch: W: no-manual-page-for-binary ara-manage-3.6
ara-python3.noarch: W: no-manual-page-for-binary ara-wsgi-3
ara-python3.noarch: W: no-manual-page-for-binary ara-wsgi-3.6
python2-ara.noarch: W: spelling-error Summary(en_US) Ansible -> Expansible, Sensible
python2-ara.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python2-ara.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/ara/db/env.py
python2-ara.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/ara/db/script.py.mako
python2-ara.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/ara/manage.py /usr/bin/env python
python2-ara.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ara/manage.py 644 /usr/bin/env python
python2-ara-tests.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python2-ara-tests.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/ara/tests/integration/helpers/junit_check.py /usr/bin/env python
python2-ara-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ara/tests/integration/helpers/junit_check.py 644 /usr/bin/env python
python3-ara.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python3-ara.noarch: E: script-without-shebang /usr/lib/python3.6/site-packages/ara/db/env.py
python3-ara.noarch: E: script-without-shebang /usr/lib/python3.6/site-packages/ara/db/script.py.mako
python3-ara.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/ara/manage.py /usr/bin/env python
python3-ara.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/ara/manage.py 644 /usr/bin/env python
python3-ara-tests.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python3-ara-tests.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/ara/tests/integration/helpers/junit_check.py /usr/bin/env python
python3-ara-tests.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/ara/tests/integration/helpers/junit_check.py 644 /usr/bin/env python
ara-common.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara-common.noarch: W: non-standard-gid /etc/ara/ara.cfg ara
ara-common.noarch: E: non-readable /etc/ara/ara.cfg 640
ara-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/ara
ara-common.noarch: W: non-standard-uid /var/lib/ara ara
ara-common.noarch: W: non-standard-gid /var/lib/ara ara
ara-common.noarch: E: non-standard-dir-perm /var/lib/ara 750
ara-common.noarch: W: non-standard-uid /var/log/ara ara
ara-common.noarch: W: non-standard-gid /var/log/ara ara
ara-common.noarch: E: non-standard-dir-perm /var/log/ara 750
ara-doc.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara-doc.noarch: W: hidden-file-or-dir /usr/share/doc/ara-doc/html/.buildinfo
ara-doc.noarch: W: hidden-file-or-dir /usr/share/doc/ara-doc/html/.doctrees
ara-doc.noarch: W: hidden-file-or-dir /usr/share/doc/ara-doc/html/.doctrees
ara.src: W: spelling-error Summary(en_US) Ansible -> Expansible, Sensible
ara.src: W: name-repeated-in-summary C ARA
ara.src: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara.src:52: W: macro-in-comment %check
ara.src:125: W: macro-in-comment %check
ara.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
ara.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
ara.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
ara.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
ara.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
ara.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
9 packages and 0 specfiles checked; 22 errors, 40 warnings.




Rpmlint (installed packages)
----------------------------
python3-ara-tests.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python3-ara-tests.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/ara/tests/integration/helpers/junit_check.py /usr/bin/env python
python3-ara-tests.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/ara/tests/integration/helpers/junit_check.py 644 /usr/bin/env python
python2-ara.noarch: W: spelling-error Summary(en_US) Ansible -> Expansible, Sensible
python2-ara.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python2-ara.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/ara/db/env.py
python2-ara.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/ara/db/script.py.mako
python2-ara.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/ara/manage.py /usr/bin/env python
python2-ara.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ara/manage.py 644 /usr/bin/env python
python3-ara.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python3-ara.noarch: E: script-without-shebang /usr/lib/python3.6/site-packages/ara/db/env.py
python3-ara.noarch: E: script-without-shebang /usr/lib/python3.6/site-packages/ara/db/script.py.mako
python3-ara.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/ara/manage.py /usr/bin/env python
python3-ara.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/ara/manage.py 644 /usr/bin/env python
python2-ara-tests.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
python2-ara-tests.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/ara/tests/integration/helpers/junit_check.py /usr/bin/env python
python2-ara-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ara/tests/integration/helpers/junit_check.py 644 /usr/bin/env python
ara.noarch: W: spelling-error Summary(en_US) Ansible -> Expansible, Sensible
ara.noarch: W: name-repeated-in-summary C ARA
ara.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara.noarch: W: no-manual-page-for-binary ara
ara.noarch: W: no-manual-page-for-binary ara-2
ara.noarch: W: no-manual-page-for-binary ara-2.7
ara.noarch: W: no-manual-page-for-binary ara-manage
ara.noarch: W: no-manual-page-for-binary ara-manage-2
ara.noarch: W: no-manual-page-for-binary ara-manage-2.7
ara.noarch: W: no-manual-page-for-binary ara-wsgi
ara.noarch: W: no-manual-page-for-binary ara-wsgi-2
ara.noarch: W: no-manual-page-for-binary ara-wsgi-2.7
ara-common.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara-common.noarch: W: non-standard-gid /etc/ara/ara.cfg ara
ara-common.noarch: E: non-readable /etc/ara/ara.cfg 640
ara-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/ara
ara-common.noarch: W: non-standard-uid /var/lib/ara ara
ara-common.noarch: W: non-standard-gid /var/lib/ara ara
ara-common.noarch: E: non-standard-dir-perm /var/lib/ara 750
ara-common.noarch: W: non-standard-uid /var/log/ara ara
ara-common.noarch: W: non-standard-gid /var/log/ara ara
ara-common.noarch: E: non-standard-dir-perm /var/log/ara 750
ara-python3.noarch: W: spelling-error Summary(en_US) Ansible -> Expansible, Sensible
ara-python3.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara-python3.noarch: W: no-manual-page-for-binary ara-3
ara-python3.noarch: W: no-manual-page-for-binary ara-3.6
ara-python3.noarch: W: no-manual-page-for-binary ara-manage-3
ara-python3.noarch: W: no-manual-page-for-binary ara-manage-3.6
ara-python3.noarch: W: no-manual-page-for-binary ara-wsgi-3
ara-python3.noarch: W: no-manual-page-for-binary ara-wsgi-3.6
ara-doc.noarch: W: spelling-error %description -l en_US Ansible -> Expansible, Sensible
ara-doc.noarch: W: hidden-file-or-dir /usr/share/doc/ara-doc/html/.buildinfo
ara-doc.noarch: W: hidden-file-or-dir /usr/share/doc/ara-doc/html/.doctrees
ara-doc.noarch: W: hidden-file-or-dir /usr/share/doc/ara-doc/html/.doctrees
8 packages and 0 specfiles checked; 16 errors, 35 warnings.



Requires
--------
python3-ara-tests (rpmlib, GLIBC filtered):
    python(abi)
    python3-ara
    python3-lxml
    python3-pytest

python2-ara (rpmlib, GLIBC filtered):
    ansible
    python(abi)
    python-cliff
    python-flask-script
    python-frozen-flask
    python2-XStatic
    python2-XStatic-Bootstrap-SCSS
    python2-XStatic-DataTables
    python2-XStatic-Patternfly
    python2-XStatic-Patternfly-Bootstrap-Treeview
    python2-XStatic-jQuery
    python2-debtcollector
    python2-decorator
    python2-flask
    python2-flask-migrate
    python2-jinja2
    python2-junit_xml
    python2-pyfakefs
    python2-pygments
    python2-sqlalchemy

python3-ara (rpmlib, GLIBC filtered):
    ansible-python3
    python(abi)
    python3-XStatic
    python3-XStatic-Bootstrap-SCSS
    python3-XStatic-DataTables
    python3-XStatic-Patternfly
    python3-XStatic-Patternfly-Bootstrap-Treeview
    python3-XStatic-jQuery
    python3-cliff
    python3-debtcollector
    python3-decorator
    python3-flask
    python3-flask-migrate
    python3-flask-script
    python3-frozen-flask
    python3-jinja2
    python3-junit_xml
    python3-pyfakefs
    python3-pygments
    python3-sqlalchemy

python2-ara-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-pytest
    python2-ara
    python2-lxml

ara (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    ara-common
    python2-ara
    systemd

ara-common (rpmlib, GLIBC filtered):
    /bin/sh
    config(ara-common)
    shadow-utils

ara-python3 (rpmlib, GLIBC filtered):
    /usr/bin/python3
    ara-common
    python3-ara

ara-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-ara-tests:
    python3-ara-tests

python2-ara:
    python-ara
    python2-ara
    python2.7dist(ara)
    python2dist(ara)

python3-ara:
    python3-ara
    python3.6dist(ara)
    python3dist(ara)

python2-ara-tests:
    python2-ara-tests

ara:
    ara

ara-common:
    ara-common
    config(ara-common)

ara-python3:
    ara-python3

ara-doc:
    ara-doc



Source checksums
----------------
https://pypi.io/packages/source/a/ara/ara-0.13.0.tar.gz :
  CHECKSUM(SHA256) this package     : 13aa1b20065fa2cae819b045e57b7c55983ca60e830ac2e72b056c322a743900
  CHECKSUM(SHA256) upstream package : 13aa1b20065fa2cae819b045e57b7c55983ca60e830ac2e72b056c322a743900


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1426193
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 34 Dusty Mabe 2017-07-14 19:10:52 UTC
so we have passed review and now just need this in dist-git and built?

Comment 35 David Moreau Simard 2017-07-15 13:45:26 UTC
@Dusty, this is correct. I've been super busy recently, I hope to be able to get this going soon.

Comment 36 Gwyn Ciesla 2017-07-16 02:26:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ara

Comment 37 David Moreau Simard 2017-07-18 04:17:29 UTC
Started slowly working on this. Turns out newer version of pytest landed in the meantime and caused unit tests to fail on my attempts at building for rawhide.

This commit [1] should hopefully allow the unit tests to work across different versions of pytest and let us proceed with packaging.

[1]: https://review.openstack.org/#/c/484618/

Comment 38 Fedora Update System 2017-08-06 00:21:32 UTC
ara-0.14.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba5ec558e7

Comment 39 Fedora Update System 2017-08-07 06:25:52 UTC
ara-0.14.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba5ec558e7


Note You need to log in before you can comment on or make changes to this bug.